View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000133aMuleMessagespublic2004-08-29 09:512004-10-09 12:32
Reporteraloriel 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000133: aMule crash after use "swap every A4AF to a file"
DescriptionFirst select a file that have two parts (e.g. CD1 and CD2). Choose to download both, then choose one to "swap every A4AF to this file", then go to the other file and select "swap every A4AF to any other file now". And there is the crash.
Additional InformationI'm using aMule 2.0.0 rc5 under debian sid.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000220)
Xaignar (manager)
2004-08-30 18:52

Please try to see if you can reproduce this crash using the instructions found here: http://www.amule.org/wiki/index.php/Backtraces [^]
(0000233)
neight (reporter)
2004-09-10 19:49

i got this backtrace:

OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--

[0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x40) [0x826a4f0]
[1] [0xffffe420]
Abortado

i think this may help. :)

amule 2.0.0 rc5
(0000235)
Kry (manager)
2004-09-16 01:40

Everything is ok on my side.

You have to run on GDB so we can check the real reason.


Please also try a CVS snapshot so we can know if it's already fixed.
(0000254)
neight (reporter)
2004-09-17 17:29

running 2.0.0-rc5 with GDB:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1214144400 (LWP 7856)]
0x08140b0d in CUpDownClient::SwapToAnotherFile(bool, bool, bool, CPartFile*) ()

i will tray the cvs so

thanks
(0000255)
neight (reporter)
2004-09-17 17:50

running latest amule cvs on gdb:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1214144400 (LWP 21801)]
0x08190ffb in CUpDownClient::SwapToAnotherFile(bool, bool, bool, CPartFile*) (
    this=0x0, bIgnoreNoNeeded=false, ignoreSuspensions=false,
    bRemoveCompletely=false, toFile=0x0) at DownloadClient.cpp:1139
1139 if ( m_reqfile == NULL ) {
(gdb)
(0000256)
neight (reporter)
2004-09-17 18:01

(gdb) bt full
#0 0x08191137 in CUpDownClient::SwapToAnotherFile(bool, bool, bool, CPartFile*) (this=0x0, bIgnoreNoNeeded=false, ignoreSuspensions=false,
    bRemoveCompletely=false, toFile=0x0) at DownloadClient.cpp:1139
        target = {<_Rb_tree_base_iterator> = {
    _M_node = 0x8b89248}, <No data fields>}
0000001 0x082c7379 in CamuleApp::NotifyEvent(GUIEvent) (this=0x863c278, event=
      {<> = {<No data fields>}, ID = PARTFILE_SWAP_A4AF_OTHERS, byte_value = 0 '\0', short_value = 0, long_value = 0, longlong_value = 0, string_value = <incomplete type>, ptr_value = 0x89964d8, ptr_aux_value = 0x0}) at amule.cpp:1818
        it = {<_Rb_tree_base_iterator> = {
    _M_node = 0x8977128}, <No data fields>}
        file = (class CPartFile *) 0x89964d8
0000002 0x0819c740 in CDownloadListCtrl::ProcessEvent(wxEvent&) (this=0x8803f80,
    evt=@0xbfffda50) at DownloadListCtrl.cpp:1342
        e = {<> = {<No data fields>}, ID = PARTFILE_SWAP_A4AF_OTHERS,
  byte_value = 0 '\0', short_value = 0, long_value = 0, longlong_value = 0,
  string_value = <incomplete type>, ptr_value = 0x89964d8, ptr_aux_value = 0x0}
        file = (class CPartFile *) 0x89964d8
        content = (CtrlItem_Struct *) 0x8995798
        selectedCount = 1
        selectedList = {<CList<CPartFile*,CPartFile*>> = {head = 0x8af3af0,
 tail = 0x8af3af0, count = 1}, <No data fields>}
        event = (struct wxCommandEvent &) @0xbfffda50: <incomplete type>
---Type <return> to continue, or q <return> to quit---
        item = -1
0000003 0xb7ddf48f in wxEvtHandler::ProcessEvent(wxEvent&) ()
   from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000004 0xb7e52570 in wxMenuBase::SendEvent(int, int) ()
   from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000005 0xb7d6a5d6 in gtk_pixmap_menu_item_set_pixmap(_GtkPixmapMenuItem*, _GtkWidget*) () from /usr/lib/libwx_gtk-2.4.so
No symbol table info available.
0000006 0x4b293ab9 in gtk_item_factory_new () from /usr/lib/libgtk-1.2.so.0
No symbol table info available.
0000007 0x08ae3420 in ?? ()
No symbol table info available.
0000008 0x08ae2fe0 in ?? ()
No symbol table info available.
(gdb)
(0000294)
Xaignar (manager)
2004-10-09 12:32

This is fixed on CVS now. =)

- Issue History
Date Modified Username Field Change
2004-08-29 09:51 aloriel New Issue
2004-08-30 18:52 Xaignar Note Added: 0000220
2004-09-10 19:49 neight Note Added: 0000233
2004-09-16 01:40 Kry Note Added: 0000235
2004-09-17 17:29 neight Note Added: 0000254
2004-09-17 17:50 neight Note Added: 0000255
2004-09-17 18:01 neight Note Added: 0000256
2004-10-09 12:32 Xaignar Status new => resolved
2004-10-09 12:32 Xaignar Resolution open => fixed
2004-10-09 12:32 Xaignar Assigned To => Xaignar
2004-10-09 12:32 Xaignar Note Added: 0000294


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker